• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

FBNS Assignment downloaded in 2002. is it valid now?

 
Rajesh So
Ranch Hand
Posts: 149
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I bought the Assignment voucher in July 2002 and was asked to complete by the end of the year.

I could not complete then and paused working since then.

I have now restarted the assignment from scratch.

Would my completion of assignment is valid now?

Would I get help from colleagues in this forum?

Its written in my instructions that after successful passing of the assignement, I will be able to take an online exam. Is this still valid now?

Help from you would be very useful for me to start.

Thanks in advance,
Rajesh
 
Andrew Monkhouse
author and jackaroo
Marshal Commander
Pie
Posts: 12007
215
C++ Firefox Browser IntelliJ IDE Java Mac Oracle
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Rajesh,

Yes, your assignment is still valid, and I think there is one (or maybe 2) other people still working on Fly By Night Services here in this forum. So you should still be able to get help.

It is worth noting that almost all of the problems that can occur in FBBS can also occur in the later assignments (B&S or URLyBird). So talking about the problem and not the assignment will probably result in more help being provided. The major exceptions, of course, are fixing the deprecated methods in the Data class - they dont occur in the later assignments.

The written exam is still almost exactly the same as if you had done it in 2002. The difference is that they dropped a question (it used to be five questions, now it is four). But the questions themselves apply to any assignment, so they will still apply to FBNS.

Although it is not a requirement for you, I strongly recommend you use JDK 5 for your assignment. The assessor will be expecting it, and there are all sorts of benefits from using it.

Regards, Andrew
 
Rajesh So
Ranch Hand
Posts: 149
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks Andrew. Its encoraging.

Although it is not a requirement for you, I strongly recommend you use JDK 5 for your assignment. The assessor will be expecting it, and there are all sorts of benefits from using it.


When using JDK 5, do I have to use the new features? I am still in JDK 1.3. Would you recommend me to first update to 4 and then 5, then work on the assignement? If yes, may I know how long would that take.

Regards,
Rajesh
 
Rajesh So
Ranch Hand
Posts: 149
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The new features in 1.5 has RMI enhancements too! Should I use these ?
http://java.sun.com/j2se/1.5.0/docs/relnotes/features.html#rmi
 
Jeroen T Wenting
Ranch Hand
Posts: 1847
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by Rajesh So:

When using JDK 5, do I have to use the new features? I am still in JDK 1.3. Would you recommend me to first update to 4 and then 5, then work on the assignement? If yes, may I know how long would that take.


You should make it compile without warnings at the strictest compiler settings. That is pretty well impossible without using at least some of the new language features.
 
Rajesh So
Ranch Hand
Posts: 149
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Okay Jeroen. That should be simpler!
The compiler warnings could guide me to where I have to make the changes for Java 1.5 safe.

Thanks,
Rajesh
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic